The "List Transactions" API allows to retrieve a paginated list of transactions. Customize your results by filtering transactions based on name, alt type, transaction status, payment mode, date range,
The "List Transactions" API allows to retrieve a paginated list of transactions. Customize your results by filtering transactions based on name, alt type, transaction status, payment mode, date range, type of source, contact, subscription id, entity id or paginate through the list using the provided query parameters. This endpoint provides a straightforward way to explore and retrieve transaction information.
http
GET https://services.leadconnectorhq.com/payments/transactions
Authorization
Name
Type
Required
Example
Description
Authorization
string
Yes
Bearer token generated from the Leadway portal. See Authentication.
Version
string
Yes
2021-07-28
API version.
Query parameters
Name
Type
Required
Example
Description
locationId
string
No
3SwdhCu3svxI8AKsPJt6
LocationId is the id of the account.
altId
string
Yes
3SwdhCu3svxI8AKsPJt6
AltId is the unique identifier e.g: account id.
altType
string
Yes
account
AltType is the type of identifier.
paymentMode
string
No
live
Mode of payment.
startAt
string
No
2024-02-01
Starting interval of transactions.
endAt
string
No
2024-02-13
Closing interval of transactions.
entitySourceType
string
No
funnel
Source of the transactions.
entitySourceSubType
string
No
two_step_order_form
Source sub-type of the transactions.
search
string
No
Awesome transaction
The name of the transaction for searching.
subscriptionId
string
No
sub_1KGcXDCScnf89tZoVkoEMCEL
Subscription id for filtering of transactions.
entityId
string
No
61dd0fe9c077f73e67f78803
Entity id for filtering of transactions.
contactId
string
No
XPLSw2SVagl12LMDeTmQ
Contact id for filtering of transactions.
limit
number
No
20
The maximum number of items to be included in a single page of results
offset
number
No
0
The starting index of the page, indicating the position from which the results should be retrieved.
Responses
200 - Successful response
data (object[], required): An array of transactions
_id (string, required): The unique identifier for the transaction. Example: 61dd0feac077f72010f78804
altId (string, required): AltId is the unique identifier eg: account id. Example: 3SwdhCu3svxI8AKsPJt6
altType (string, required): AltType is the type of identifier. Example: account
contactId (string): Contact id corresponding to the transaction. Example: XPLSw2SVagl12LMDeTmQ
mergedFromContactId (string): ID of the contact that was merged from. Example: XPLSw2SVagl12LMDeTmQ
contactName (string): Contact name corresponding to the transaction. Example: James Bond
contactEmail (string): Contact email corresponding to the transaction. Example: james.bond@leadwaycrm.com
currency (string): Currency in which transaction occurred. Example: USD
amount (number): Transaction value. Example: 100
status (object, required): The status of the transaction (e.g., succeeded). Example: succeeded
liveMode (boolean): Transaction is in live / test mode. Example: false
entityType (string): Entity type of transaction (eg: order). Example: order
entityId (string): Entity id for the transaction. e.g: order id Example: 61dd0fe9c077f73e67f78803
entitySourceType (string, required): Entity source type of transaction (eg: funnel). Example: funnel
entitySourceSubType (string): Entity source sub-type of the transactions. Example: two_step_order_form
entitySourceName (string): Entity source name for the transaction. Example: new funnel
entitySourceId (string): Entity source id for the transaction. Example: BDBMEghdIUaqMPEsK349
entitySourceMeta (object): Meta content for the entity source of transaction. Example: { domain: "app.leadwaycrm.com", pageId: "rBVhyYhMsbxbO8ZqOcei", pageUrl: "/v2/preview/rBVhyYhMsbxbO8ZqOcei", stepId: "5a772f62-3fbc-418b-af1b-be8929dd64c2"}
subscriptionId (string): Subscription id for transaction. Example: sub_1KGcXDCScnf89tZoVkoEMCEL
chargeId (string): Charge id for transaction. Example: in_1KGcXDCScnf89tZohCsmImwE